#include<bits/stdc++.h>
#define ULL unsigned long long

using namespace std;

ULL n, a[500010], rez_and, rez_xor;
bool b[500010][64];

int main()
{
    scanf("%lld", &n);
    for (int i = 0; i < n; ++i)
        scanf("%lld", &a[i]);
    rez_and = rez_xor = a[0];
    for (int i = 1; i < n; ++i)
    {
        rez_and &= a[i];
        rez_xor ^= a[i];
    }
    for (int i = 0, it = 0; i < n; ++i, it = 0)
        while (a[i] > 0)
        {
            if (a[i] % 2) b[i][it] = true;
            it++;
        }
    cout << "1";
    return 0;
}